/* bf.h */
#ifndef BF_H
#define BF_H

#define VERSION "20040704"
#define CELLS 9999

#define Debug(X)	if (opt.debug) fputs("DEBUG: "#X"\n", stderr);

/* options */
typedef struct {
	char *filename;
	int cells;			/* -c */
	unsigned short inputmode;	/* -, */
	unsigned debug : 1;		/* -d */
	unsigned showinput : 1;		/* -i */
	unsigned wraparound : 1;	/* -w */
	unsigned null : 1;		/* -n */
} Opt;

enum operations
{
	opPLUS = 0x0,	/* + = 000b */
	opMINUS,	/* - = 001b */
	opGREATER,	/* > = 010b */
	opLESS,		/* < = 011b */
	opBEGIN,	/* [ = 100b */
	opEND,		/* ] = 101b */
	opOUTPUT,	/* . = 110b */
	opINPUT		/* , = 111b */
};

#endif
